micro_utils.dokka
0.15.1

# Package-level declarations

## Types

FSMBuilder
Link copied to clipboard
class FSMBuilder<T : State>(var statesManager: StatesManager<T> = DefaultStatesManager(InMemoryDefaultStatesManagerRepo()), val fsmBuilder: (statesManager: StatesManager<T>, states: List<CheckableHandlerHolder<T, T>>) -> StatesMachine<T> = { statesManager, states -> StatesMachine( statesManager, states ) }, var defaultStateHandler: StatesHandler<T, T>? = StatesHandler { null })

## Functions

buildFSM
Link copied to clipboard
fun <T : State> buildFSM(block: FSMBuilder<T>.() -> Unit): StatesMachine<T>